commit 2a0873aa81446149c6065237e1dc2511201bef88
Author: Collin Funk <collin.funk1@gmail.com>
Date:   Wed Oct 22 01:51:09 2025 -0700

    sprof: fix -Wformat warnings on 32-bit hosts
    
    Reviewed-by: H.J. Lu <hjl.tools@gmail.com>
    (cherry picked from commit 9681f645ba20fc3c18eb12ffebf94e3df1f888e3)

diff --git a/elf/sprof.c b/elf/sprof.c
index e9d2a66a4f..513e0470b2 100644
--- a/elf/sprof.c
+++ b/elf/sprof.c
@@ -570,8 +570,8 @@ load_shobj (const char *name)
 	|| INT_ADD_WRAPV (sz, off, &end_off)				\
 	|| end_off > st.st_size)					\
       error (EXIT_FAILURE, ERANGE,					\
-	     _("read outside of file extents %zu + %zd > %zu"),		\
-	     sz, off, st.st_size);					\
+	     _("read outside of file extents %zu + %jd > %jd"),		\
+	     sz, (intmax_t) off, (intmax_t) st.st_size);		\
 	}
 
   /* Map the section header.  */

